Subject: Re: Small cleanups to the cuboot bootwrapper code

From: David Gibson <[email-masked]>
Date: Mon, 30 Apr 2007 13:40:33 +1000

On Fri, Apr 27, 2007 at 12:50:34PM -0500, Scott Wood wrote:
> David Gibson wrote:
> > Index: working-2.6/arch/powerpc/boot/Makefile
> > ===================================================================
> > --- working-2.6.orig/arch/powerpc/boot/Makefile	2007-04-27 11:48:56.000000000 +1000
> > +++ working-2.6/arch/powerpc/boot/Makefile	2007-04-27 11:57:41.000000000 +1000
> > @@ -129,7 +129,8 @@ image-$(CONFIG_PPC_CELLEB)		+= zImage.ps
> >  image-$(CONFIG_PPC_CHRP)		+= zImage.chrp
> >  image-$(CONFIG_PPC_EFIKA)		+= zImage.chrp
> >  image-$(CONFIG_PPC_PMAC)		+= zImage.pmac
> > -image-$(CONFIG_DEFAULT_UIMAGE)		+= uImage cuImage
> > +image-$(CONFIG_PPC_83xx)		+= cuImage.83xx
> > +image-$(CONFIG_DEFAULT_UIMAGE)		+= uImage
> 
> You need to update BOOT_TARGETS in arch/powerpc/Makefile as well.
> Otherwise, it looks good.

Ok, revised patch coming shortly.  Actually, I just removed cuImage
from the BOOT_TARGETS list.  Since the only sensible thing it could
really be is another alias for zImage, I don't see that there was
really much point to it.  Patch also updated to apply on top of your
85xx additions.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson